<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 */
function optionsframework_option_name() {
	// Change this to use your theme slug
	return 'refresh';
}

add_action('optionsframework_after','optionscheck_display_sidebar', 100);

function optionscheck_display_sidebar() { ?>
    <div class="metabox-holder goto">
        <div class="postbox">
            <h3><?php _e('More Options','refresh'); ?></h3>
                <div class="inside">
			<ol>
				<li><?php _e('To Change Logo, Background Color, Header Image, Title Tagline','refresh'); ?> <b>Go to 
				<a href="<?php echo esc_url(__(admin_url( 'customize.php' ))); ?>" target="_blank"><?php echo esc_attr__( 'Customizer', 'refresh' ); ?></a></b>
				</li>
				<li>
				<?php _e('Add Widget and put ads codes in different area in website','refresh'); ?> <b>Go to <a href="<?php echo esc_url(__(admin_url( 'widgets.php' ))); ?>" target="_blank"><?php echo esc_attr__( 'Widget Settings', 'refresh' ); ?></a></b>	
				</li>
				<li>
			<?php _e('Google Fonts Change and Live Set from Customize > Google Fonts','refresh'); ?> <b>Go to <a href="<?php echo esc_url(__(admin_url( 'customize.php' ))); ?>" target="_blank"><?php echo esc_attr__( 'customizer', 'refresh' ); ?></a></b>	
				</li>
			</ol>
                    <p><?php _e('Here are some more option related to basic theme setup.','refresh'); ?></p>
                </div>
        </div>
    </div>
<?php }
function optionsframework_options() {

	// Test data
	$test_array = array(
		'one' => __('One', 'refresh'),
		'two' => __('Two', 'refresh'),
		'three' => __('Three', 'refresh'),
		'four' => __('Four', 'refresh'),
		'five' => __('Five', 'refresh')
	);


	// Multicheck Defaults
	$multicheck_defaults = array(
		'one' => '1',
		'five' => '1'
	);

	// Background Defaults
	$background_defaults = array(
		'color' => '',
		'image' => '',
		'repeat' => 'repeat',
		'position' => 'top center',
		'attachment'=>'scroll' );

	// Typography Defaults
	$typography_defaults = array(
		'size' => '13px',
		'face' => 'false',
		'style' => 'normal',
		'color' => '#555' );

	$typography_entrytitle = array(
		'size' => '28px',
		'face' => 'false',
		'style' => 'normal',
		'color' => '#555555' );

	// Typography Options
	$typography_options = array(
		'sizes' => array( '6','12','14','16','20' ),
		'faces' => array( 'Helvetica Neue' => 'Helvetica Neue','Arial' => 'Arial' ),
		'styles' => array( 'normal' => 'Normal','bold' => 'Bold' ),
		'color' => false
	);

	// Pull all the categories into an array
	$options_categories = array();
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
		$options_categories[$category->cat_ID] = $category->cat_name;
	}

	// Pull all tags into an array
	$options_tags = array();
	$options_tags_obj = get_tags();
	foreach ( $options_tags_obj as $tag ) {
		$options_tags[$tag->term_id] = $tag->name;
	}


	// Pull all the pages into an array
	$options_pages = array();
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
		$options_pages[$page->ID] = $page->post_title;
	}

	// If using image radio buttons, define a directory path
	$imagepath =  get_template_directory_uri() . '/images/';

$options = array();

$options[] = array(
            'desc' => '<h2 style="color: #FFF !important;">' . esc_attr__( 'Upgrade to Premium Theme & Enable Full Features!', 'refresh' ) . '</h2>
            <li>' . esc_attr__( 'SEO Optimized WordPress Theme.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'More Slides for your slider.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Theme Customization help & Support Forum.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Page Speed Optimize for better result.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Color Customize of theme.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Custom Widgets and Functions.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Social Media Integration.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Responsive Website Design.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Different Website Layout to Select.', 'refresh' ) . '</li>
            <li>' . esc_attr__( 'Many of Other customize feature for your blog or website.', 'refresh' ) . '</li>
            <p><span class="buypre"><a href="' . esc_url(__('http://www.insertcart.com/product/refresh-wp-theme/','refresh')) . '" target="_blank">' . esc_attr__( 'Upgrade Now', 'refresh' ) . '</a></span><span class="buypred"><a href="' . esc_url(__('http://www.insertcart.com/','refresh')) . '" target="_blank">' . esc_attr__( 'Shop More Themes !', 'refresh' ) . '</a></span></p>',
            'class' => 'tesingh',
            'type' => 'info');
			
		
	$options[] = array(
		'name' => __('Basic Settings', 'refresh'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Custom Favicon URL', 'refresh'),
		'desc' => __('Enter Favicon Image upload .', 'refresh'),
		'id' => 'refresh_favicon',
		'std' => '',
		'type' => 'upload');
	$options[] = array(
		'name' => __('Upload Site Logo', 'refresh'),
		'desc' => __('Upload Website Logo "max height = 50px" and max width= 184px" to fit here. Note you can upload any size it will automatic resize .', 'refresh'),
		'id' => 'refresh_logo',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Show Author Profile', 'refresh'),
		'desc' => __('Check the box to show Author Profile Below the Post and Pages.', 'refresh'),
		'id' => 'refresh_author',
		'std' => '',
		'type' => 'checkbox');

	$options[] = array(
		'name' => __('Show Latest Posts in Sidebar', 'refresh'),
		'desc' => __('Show 5 Latest Posts with Thumbnail in Sidebar.', 'refresh'),
		'id' => 'refresh_activate_ltposts',
		'std' => '1',
		'type' => 'checkbox');
	$options[] = array(
		'name' => __('Show Search on top navigation', 'refresh'),
		'desc' => __('Check or Uncheck Box to show or hide search', 'refresh'),
		'id' => 'refresh_topsearch',
		'std' => '1',
		'type' => 'checkbox');
	$options[] = array(
		'name' => __('Show share buttons on Top Navigation', 'refresh'),
		'desc' => __('Check or uncheck Box to show and hide share buttons', 'refresh'),
		'id' => 'refresh_sharebut',
		'std' => '1',
		'type' => 'checkbox');
	$options[] = array(
		'name' => __('Top Navigation Position Fixed or relative', 'refresh'),
		'desc' => __('Check box for top navigation position.', 'refresh'),
		'id' => 'refresh_topmenuposition',
		'std' => 'fixed',
		'type' => 'radio',
		'options' => array(
						'fixed' => 'Fixed',
						'relative' => 'Relative'
						));		
	$options[] = array(
		'name' => __('Minimum Website width', 'refresh'),
		'desc' => __('width in px (Default size is 1224).', 'refresh'),
		'id' => 'refresh_webwidth',
		'std' => '1224',
		'class' => 'mini',
		'type' => 'text');
$options[] = array(
		'name' => __('Social Profile', 'refresh'),
		'type' => 'heading');
		
		$options[] = array(
		'name' => __('Facebook Link', 'refresh'),
		'desc' => __('Enter your Facebook URL if you have one.', 'refresh'),
		'id' => 'refresh_fb',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Twitter Follow Link', 'refresh'),
		'desc' => __('Enter your Twitter URL if you have one.', 'refresh'),
		'id' => 'refresh_tw',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('RSS Feed URL', 'refresh'),
		'desc' => __('Enter your RSS Feed URL if you have one', 'refresh'),
		'id' => 'refresh_rss',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Linked In URL', 'refresh'),
		'desc' => __('Enter your Linkedin URL if you have one.', 'refresh'),
		'id' => 'refresh_in',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Pinterest In URL', 'refresh'),
		'desc' => __('Enter your Pinterest URL if you have one.', 'refresh'),
		'id' => 'refresh_pinterest',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Skype In URL', 'refresh'),
		'desc' => __('Enter your Skype URL if you have one.', 'refresh'),
		'id' => 'refresh_skype',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Vimeo In URL', 'refresh'),
		'desc' => __('Enter your vimeo URL if you have one.', 'refresh'),
		'id' => 'refresh_vimeo',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Flickr In URL', 'refresh'),
		'desc' => __('Enter your flickr URL if you have one.', 'refresh'),
		'id' => 'refresh_flickr',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Dribbble In URL', 'refresh'),
		'desc' => __('Enter your dribbble URL if you have one.', 'refresh'),
		'id' => 'refresh_dribbble',
		'std' => '',
		'type' => 'text');		
		$options[] = array(
		'name' => __('YouTube Channel Link', 'refresh'),
		'desc' => __('Enter your YouTube URL if you have one.', 'refresh'),
		'id' => 'refresh_youtube',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Google+ URL', 'refresh'),
		'desc' => __('Enter your Google+ Link if you have one.', 'refresh'),
		'id' => 'refresh_gp',
		'std' => '',
		'type' => 'text');
		
$options[] = array(
		'name' => __('Custom Styling', 'refresh'),
		'type' => 'heading');
	$options[] = array(
		'name' => __('Custom CSS', 'refresh'),
		'desc' => __('Quickly add some CSS to your theme by adding it to this block.', 'refresh'),
		'id' => 'refresh_customcss',
		'std' => '',
		'type' => 'textarea');
		
$options[] = array(
		'name' => __('Ads Management', 'refresh'),
		'type' => 'heading');
	$options[] = array(
		'name' => __('Paste Ads code below navigation', 'refresh'),
		'desc' => __('Activate Ads Space Below Navigation and put code in below test field.', 'refresh'),
		'id' => 'refresh_banner_top',
		'std' => '',
		'type' => 'textarea');
	$options[] = array(
		 'name' => __( 'AD Code For Single Post', 'refresh' ),
            'desc' => __('Paste Ad code for single post it show ads below post title and before content.','refresh'),
            'id' => 'refresh_ad2',
            'std' => '',
            'type' => 'textarea');
     $options[] = array(
		'name' => __( 'AD Code For Footer', 'refresh' ),
		'desc' => __('Paste Ad Code for Footer Area.', 'refresh'),
            'id' => 'refresh_ad1',
            'std' => '',
            'type' => 'textarea');	
		
$options[] = array(
		'name' => __('Premium Features', 'refresh'),
		'type' => 'heading');
		
		
		$options[] = array(
		'desc' => '<span class="pre-title">New Features Premium Only <a href="' . esc_url(__('http://www.insertcart.com/product/refresh-wp-theme/','refresh')) . '" target="_blank">' . esc_attr__( 'Upgrade To Pro', 'refresh' ) . '</a></span>', 
		'type' => 'info');
		
		
		$options[] = array(
		'name' => __('Popular Posts in Sidebar', 'refresh'),
		'desc' => __('Display Popular Post Sidebar Widget.', 'refresh'),
		'id' => 'refresh_popular',
		'std' => '0',
		'type' => 'checkbox');
		
		$options[] = array(
		'name' => __('Responsive Website Design', 'refresh'),
		'desc' => __('Enable Responsive Design for you website to increase experience on Mobile Devices', 'refresh'),
		'id' => 'refresh_responsive',
		'std' => '0',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Excerpt Length (Number of words display in post description)', 'refresh'),
		'desc' => __('Number of words display in every post description Default is 45.', 'refresh'),
		'id' => 'refresh_excerp',
		'std' => '45',
		'class' => 'mini',
		'type' => 'text');
		$options[] = array(
		'name' =>  __('Change Background', 'refresh'),
		'desc' => __('Change the background CSS Color or Image.', 'refresh'),
		'id' => 'refresh_bg',
		'std' => $background_defaults,
		'type' => 'background' );
		$options[] = array(
		'name' => __('Top Navigation Color', 'refresh'),
		'desc' => __('Navigation Background Color.', 'refresh'),
		'id' => 'refresh_topnavibg',
		'std' => '#FF5858',
		'type' => 'color' 
		);		
		$options[] = array(
		'desc' => __('Navigation Hover Color.', 'refresh'),
		'id' => 'refresh_topnavibghover',
		'std' => '#FD4326',
		'type' => 'color' 
		);
		$options[] = array(
		'name' => __('Change Link Color', 'refresh'),
		'desc' => __('Select Links Color.', 'refresh'),
		'id' => 'refresh_linkcolor',
		'std' => '#2A7FB3',
		'type' => 'color' 
);
		$options[] = array(
		'desc' => __('Change Link Hover Color.', 'refresh'),
		'id' => 'refresh_linkhover',
		'std' => '#9db2b2',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Navigation and Logo Text Color.', 'refresh'),
		'id' => 'refresh_topnavilink',
		'std' => '#ffffff',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Change Top Menu Navigation Background Color.', 'refresh'),
		'id' => 'refresh_topnavicolor',
		'std' => '',
		'type' => 'color' );
		$options[] = array(
		'name' => __('Page Number Navigation Color Change ', 'refresh'),
		'desc' => __('Change Current Page Background.', 'refresh'),
		'id' => 'refresh_pageanvibg',
		'std' => '#1AD6B8',
		'type' => 'color' );
		$options[] = array(
			'desc' => __('Change background color of other pages.', 'refresh'),
		'id' => 'refresh_pageanvia',
		'std' => '#ffffff',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Numbers text Color Change.', 'refresh'),
		'id' => 'refresh_pageanvilink',
		'std' => '#333',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Website Button Color eg. Submit Comment, Search GO etc.', 'refresh'),
		'id' => 'refresh_webbuttoncolor',
		'std' => '#418cd1',
		'type' => 'color' );
		$options[] = array( 'name' => __('Customize Theme Fonts', 'refresh'),
		'desc' => __('Change <b>Body (Theme) Font</b> color and Size.', 'refresh'),
		'id' => "refresh_bodyfonts",
		'std' => $typography_defaults,
		'type' => 'typography' );
		$options[] = array( 
		'desc' => __('Change <b>H1 Posts and Pages Title </b>Font color or Size.', 'refresh'),
		'id' => "refresh_entrytitle",
		'std' => $typography_entrytitle,
		'type' => 'typography' );
		$options[] = array(
		'name' => __('Footer Widget Area Settings', 'refresh'),
		'desc' => __('Show or Hide Footer Widget Area.', 'refresh'),
		'id' => 'refresh_footerwidget',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => __('Show','refresh'),
						'off' => __('Hide','refresh')
						));
						
		$options[] = array(
		'name' => __('Show or Hide "Continue reading" Button', 'refresh'),
		'desc' => __('Show or Hide "Continue reading" or read more Button  Button .', 'refresh'),
		'id' => 'refresh_countinue',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => __('Show','refresh'),
						'off' => __('Hide','refresh')
						));
		$options[] = array(
		    'desc' => __('Paste You Custom text for Continue reading <b>Default: Continue reading &raquo; </b>.','refresh'),
            'id' => 'refresh_fullstory',
            'std' => __('Continue reading &raquo;','refresh'),
            'type' => 'text');		
$options[] = array(
		'name' => __('Website layout','refresh'),
		'desc' => __('Select Images for Website layout.','refresh'),
		'id' => "refresh_layout",
		'std' => "rightlayout",
		'type' => "images",
		'options' => array(
			'rightlayout' => $imagepath . 's1.png',
			'leftlayout' => $imagepath . 'sl.png',
			'fullwidth' => $imagepath . 'fc.png')
	);						
		$options[] = array(
		'desc' => '<span class="pre-titleseo">SEO & Meta Options</span>', 
		'type' => 'info');
		$options[] = array(
		'name' => __('Google+ Publisher URL', 'refresh'),
		'desc' => __('Paste Your Google Publisher URL https://plus.google.com/YOUR-GOOGLE+ID/posts.', 'refresh'),
		'id' => 'refresh_googlepub',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Bing Site Verification', 'refresh'),
		'desc' => __('Enter the ID only. It will be verified by Yahoo as well.', 'refresh'),
		'id' => 'refresh_bingvari',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Google Site verification', 'refresh'),
		'desc' => __('Enter your ID only.', 'refresh'),
		'id' => 'refresh_googlevari',
		'std' => '',
		'type' => 'text');
		
$options[] = array(
		'name' => __('Footer Script Area', 'refresh'),
		'desc' => __('Enter Code for footer like google analytics.', 'refresh'),
		'id' => 'refresh_scriptfooter',
		'std' => '',
		'type' => 'textarea');
		
		$options[] = array(
		'desc' => '<span class="pre-titlecus">Customization</span>', 
		'type' => 'info');
		$options[] = array(
		'name' => __('Breadcrumbs Options', 'refresh'),
		'desc' => __('Check Box to Enable or Disable Breadcrumbs.', 'refresh'),
		'id' => 'refresh_bread',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Show Tags', 'refresh'),
		'desc' => __('Check Box to Show or Hide Tags ', 'refresh'),
		'id' => 'refresh_tags',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Next and Previous Post Link', 'refresh'),
		'desc' => __('Show or Hide Next and Previous Post Link below every post.', 'refresh'),
		'id' => 'refresh_links',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => __('Show','refresh'),
						'off' => __('Hide','refresh')
						));
		$options[] = array(
		'name' => __('Show or Hide Copy Right Text', 'refresh'),
		'desc' => __('Show or Hide Copyright Text and Link.', 'refresh'),
		'id' => 'refresh_copyright',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => __('Show','refresh'),
						'off' => __('Hide','refresh')
						));
				
		$options[] = array(
            'desc' => __('Paste Ad code for single post it show ads below post title and before content.','refresh'),
            'id' => 'refresh_ftarea',
            'std' => esc_attr__( 'Copyright  &#169; 2016 Theme : ', 'refresh' ) . '<a href="' . esc_url(__('http://www.insertcart.com/product/refresh-wp-theme/','refresh')) . '" title="' . esc_attr__( 'InsertCart', 'refresh' ) . '">' . esc_attr__( 'InsertCart', 'refresh' ) . '</a>',
            'type' => 'textarea');
			$options[] = array(
		'name' => __('Theme Support', 'refresh'),
		'type' => 'heading' );


	$options[] = array(
		 'desc' => '<h2>' . esc_attr__( 'Need support about theme go to Support forum', 'refresh' ) . '</h2>' . esc_attr__( 'If you have any problem in using options then please read theme documentation first ', 'refresh' ) . '<a href="' . esc_url(__('http://www.insertcart.com/refresh-theme-documentation-setup-guide/','refresh')) . '" target="_blank">' . esc_attr__( 'Theme Documentation', 'refresh' ) . '</a>  ' . esc_attr__( 'Before you contact us via directly please use support forum also We recommend you to use some WordPress plugin like "Regenerate Thumbnails" WordPress SEO and W3tc to optimize and get great website experience.', 'refresh' ) . '
            <p><span class="buypre"><a href="' . esc_url(__('http://forum.insertcart.com','refresh')) . '" target="_blank">' . esc_attr__( 'Support Forum', 'refresh' ) . '</a></span></p></br>
			<ol>
			<li><a href="' . esc_url(__('http://www.insertcart.com/faq-frequently-asked-question-theme-setup/','refresh')) . '" target="_blank">' . esc_attr__( 'FAQ - Frequently Asked Question About Theme Setup', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/set-featured-thumbnail-image-post-wp/','refresh')) . '" target="_blank">' . esc_attr__( 'Set Featured Thumbnail Image of Post WP', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/making-post-by-importing-docx-file-content-into-post-images/','refresh')) . '" target="_blank">' . esc_attr__( 'Making Post by Importing Docx File Content into Post Images', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-secure-website-made-these-changes-in-htaccess/','refresh')) . '" target="_blank">' . esc_attr__( 'How to Secure Website? Made these changes in .htaccess', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-add-icon-navigation-menu/','refresh')) . '" target="_blank">' . esc_attr__( 'How to Add Icon Navigation Menu', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-install-a-required-or-recommended-plugin/','refresh')) . '" target="_blank">' . esc_attr__( 'How to Install a Required or Recommended Plugin', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/fix-woocommerce-pages-issue-missing-reinstall/','refresh')) . '" target="_blank">' . esc_attr__( 'Fix Woocommerce Pages Issue Missing or reinstall', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/get-current-page-url-in-wordpress/','refresh')) . '" target="_blank">' . esc_attr__( 'Get Current Page URL in WordPress', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/add-ad-code-after-every-few-post/','refresh')) . '" target="_blank">' . esc_attr__( 'Add Ad Code After Every Few Post', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/add-icons-wordpress-customizer-setting-panel/','refresh')) . '" target="_blank">' . esc_attr__( 'Add Icons to WordPress Customizer Setting Panel', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/get-category-in-wp/','refresh')) . '" target="_blank">' . esc_attr__( 'Get Category in WP - Parent, Link, Subcategory, ID, Name, List', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/fix-missing-required-field-in-google-webmaster-tools-structure/','refresh')) . '" target="_blank">' . esc_attr__( 'Fix Missing required field in Google Webmaster Tools Structure', 'refresh' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-add-schema-markup-for-navigation-menu/','refresh')) . '" target="_blank">' . esc_attr__( 'How to Add Schema Markup for Navigation Menu', 'refresh' ) . '</a></li>
			</ol>',
            'type' => 'info');			
	return $options;
}